<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) ENPC - Jean-Philippe Chancelier
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="replot">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>replot</refname>
    <refpurpose>redraw the current graphics window with new
  boundaries</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>replot(rect,[handle])</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>rect</term>
        <listitem>
          <para>row vector of size 4.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>handle</term>
        <listitem>
          <para>optional argument. Graphics handle(s) of type Axes to select
          one or several given Axes.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>replot</literal> is used to redraw the content of the current
    graphics window with new boundaries defined by
    <literal>rect=[xmin,ymin,xmax,ymax]</literal>. Under old graphics syntax, it
    works only with the driver <literal>"Rec"</literal>.</para>
    <para>This transformation can be applied to specific
    axes given by Axes graphics handles via the handle argument. If handle is
    not specified, the new boundaries are applied to the current axes of the
    current figure. The transformation changes the <literal>data_bounds</literal>
    value of those axes. Note that the axes property <literal>tight_limits</literal>
    must also be set to "on" to strictly select those bounds (see
    <link linkend="axes_properties">axes_properties</link>).<literal> </literal></para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
backupstyle='?'

// First Example
x=[0:0.1:2*%pi]';
plot2d(x,sin(x)) 
replot([-1,-1,10,2]) 

// Second Example
xdel(winsid());
plot() // plot demo
f=gcf();
replot([-1,-1,10,2],f.children(1)) // specify axes handle's value
replot([-3,-2,8,4],f.children(2)) 
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="xbasr">xbasr</link>
      </member>
      <member>
        <link linkend="clf">clf</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para>J.Ph.C.</para>
  </refsection>
</refentry>
